:root {
    /* box variables */
    --box-radius: 20px;
    --box-content-padding: 10px;
    --box-content-radius: calc(var(--box-radius) - var(--box-content-padding));
    
    /* fallback color variables */ 
    --main: #fff;
    --main-inv: #565656;
    --dark: #959595;
    --dark-highlight: #afafaf;
    --light: #e8e8e8;
    --highlight: #f4f4f4;
    --normal: #c2c2c2;
    --alt-dark: #99507F;
    --alt-light: #E6A5CF;
    --translucent-main: rgba(255,255,255,0.50);
    --svg-color: invert(56%)  drop-shadow(0px 2px 0px rgba(4, 83, 0, 0.205));

}

body {
    font-family: 'Ubuntu';
    margin: 10px 0 0 0;    
    background-color: var(--main); 
    background-image: 
        radial-gradient(var(--light) 30%, transparent 30%),
        radial-gradient(var(--light) 30%, transparent 30%);
    background-position: 0px 0px, 104px 104px;
    background-size: 208px 208px;
    animation: scrollBackground 15s linear infinite; 
}

@font-face {
    font-family: 'Ubuntu';
    src: url('/misc/ubuntu-font/Ubuntu-Bold.woff') format('woff2'),
        url('/misc/ubuntu-font/Ubuntu-Bold.woff') format('woff');
}

@keyframes scrollBackground {
    100% {
        background-position: 104px 104px, 208px 208px;
    }
}


p {
    color:var(--main-inv); 
    font-size: 12px;
}

h1 {
    font-weight: normal;
    color:var(--dark);
    text-shadow: 0px 2px 0px rgba(4, 83, 0, 0.2)
}

h1 {
    font-size:28px;
}

h2 {
    font-size:20px;
}

a {
    color:var(--dark);
    text-decoration: none;
}

#content {
    width: 800px;
    margin: 0 auto 0 auto; 
}

/* reusable designs and styles */
.box {
    background-color: var(--translucent-main);
    border-radius: var(--box-radius); 
    outline: 2px solid var(--light); 
    backdrop-filter: blur(30px);
    box-shadow: 0px 0px 15px 0px rgba(0,0,0,0.15), inset 0px -20px 10px 0px var(--highlight);
    margin-bottom: 15px;
}

.long-box .box {
    padding:10px;
}

.three-boxes {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    grid-template-rows: 1fr;
    grid-column-gap: 10px;
}

.three-boxes .box {
    padding:10px;
    line-height: 0;
}

.three-boxes .box h1 {
    font-size:18px;
    line-height: 10px;
}

.text-only-box {
    margin-bottom:60px;
}

.text-only-box .box {
    color: var(--main-inv);
    width:fit-content;
    padding:10px 20px;
}

.desktop-only {
    display:inline;
}
.mobile-only {
    display:none;
}

/* element specific ids */
#title-mobile {
    display:none;
}

#navbar { 
    margin-bottom:50px;
    padding:12px 16px;
    display:grid;
    grid-template-columns: repeat(2, 1fr);
    grid-template-rows: 1fr;
}

#navbar-buttons {
    margin:auto; 
}

#navbar-buttons-set {
    display: grid;
    grid-template-columns: repeat(5, 1fr);
    grid-column-gap: 24px;
}

#navbar-buttons-set a {
    text-align:center;
    width:50px;
    font-size:12px;
    background-color: var(--main);
    outline-color: var(--highlight);
    outline-style:solid;
    box-shadow: inset 0px -20px 10px 0px var(--highlight), 0px 0px 3px 3px var(--normal);
    border-radius:8px;
    padding:4px;
    transition: box-shadow 0.5s, transform 0.5s;
}

#navbar-buttons-set a:hover {
    box-shadow: inset 0px -18px 10px 0px var(--highlight), 0px 2px 6px 3px var(--normal);
    transform:translateY(-2px); 
    transition: box-shadow 0.2s, transform 0.2s;
}

#navbar-buttons-set img {
    width: 28px;
    filter: var(--svg-color);
}

#title {
    line-height:8px;
    display: grid;
    grid-template-columns: 1fr 1fr;
    grid-template-rows: 1fr;
    grid-column-gap: 0px;
    grid-row-gap: 0px; 

    margin-bottom:4px;
}

#title-button {
    background-color:var(--dark-highlight);
    color:var(--main); 

    box-shadow: inset 0px -20px 10px 0px var(--dark), 0px 0px 2px 1px var(--normal);
    outline-color: var(--dark);
    outline-style:solid;
    outline-offset:-4px;

    border-radius:10px;
    width:fit-content;
    margin-left: auto;
    margin-bottom: auto;
    padding: 15px 12px;
    transition: box-shadow 0.5s, transform 0.5s;
}

#title-button:hover {
    box-shadow: inset 0px -18px 10px 0px var(--dark), 0px 2px 4px 1px var(--normal);
    transform:translateY(-2px); 
    transition: box-shadow 0.2s, transform 0.2s;
}

#info-box { 
    padding:var(--box-content-padding);

    display: grid;
    grid-template-columns: 2fr 1fr;
    grid-column-gap: 10px;
}

#info-box div {
    border-radius: var(--box-content-radius);
}

#info-box-bio { 
    /* until i find a way to move the social media
    buttons to the bottom, this is the best i could do. */
    display:grid;
    grid-template-rows: 1fr;
}

#info-box-image {
    border-top-right-radius:var(--box-content-radius);
    border-top-left-radius:5px;
    image-rendering: pixelated;
    image-rendering: -moz-crisp-edges;
}

#info-box-text {
    margin-bottom: auto;
}

#info-box-text p {
    padding-right: 10px;
    margin:0;
}

#info-box-socials h1 {
    font-size: 16px; 
    margin-bottom: 5px;
}

#info-box-socials-links {
    display:flex;
    font-size:12px;
}

#info-box-socials-links a {
    background-color: var(--dark-highlight);
    color: var(--main);
    box-shadow: inset 0px -12px 10px 0px var(--dark), 0px 0px 2px 0px var(--normal);

    padding:3px 8px; 
    margin-right: 3px;
    border-radius: 5px;
    text-decoration: none;
}

/* special classes for specific contents in boxes */
#utamethyst-image {
    width:100%; 
    height:80%; 
    margin-bottom: 5px;
    border-radius: var(--box-content-radius);
}

#commit-history {
    border-radius: var(--box-content-radius);
    border-width:0;
    width:100%;
    height:100%; 
}

#double8x31 {
    display:flex;
    justify-content: space-evenly;
    flex-wrap:wrap;
}

#double8x31 {
    display:flex;
    justify-content: space-evenly;
}

#double8x31 a {
    width:88px;
    height:31px;
    box-shadow: 0px 0px 5px 0px rgba(0,0,0,0.15);
    image-rendering: pixelated;
    image-rendering: -moz-crisp-edges;
}

#disclaimer .box {
    padding: 10px 20px;
    max-width:550px;  
}

#switch {
    margin-left:auto; 
    height:28px;
}

#dark-mode-switch {
    padding-top:5px;
}

@media only screen and (max-width: 850px) { 
    #content {
        width:345px;
    }

    #title-mobile { 
        padding:10px;
        display:flex; 
        justify-content: center;
    }

    #title-mobile img {
        height:90px; 
    }

    #title {
        line-height:0;
        grid-template-columns: 2fr 1fr; 
        grid-template-rows: 1fr;  
        margin-top:50px;
        margin-bottom:8px;
    }
    
    #title h1 {
        font-size:19px; 
    }

    #title-button {
        margin-left:auto;
        font-size:12px; 
    }

    .three-boxes {
        display:flex;
        flex-direction: column;
    }

    #navbar {
        position:fixed;
        padding:0;
        padding-top:10px;
        width:100%;
        height:120px; 
        left:0;
        bottom:-100px;
        z-index: 1;
        border-radius: 0;
        background-color: var(--translucent-main);
        grid-template-columns: 1fr;
        grid-template-rows: repeat(2, 1fr);
    }

    #navbar-title {
        display:none;
        margin: 12px auto 0 auto;
    }

    #navbar-buttons {
        margin-right:auto
    }

    #info-box { 
        padding:var(--box-content-padding);

        display: grid;
        grid-template-rows: 1fr 1fr;
        grid-template-columns: 1fr ;
        grid-row-gap: 10px;
    }

    .desktop-only {
        display:none;
    }
    .mobile-only {
        display:inline;
    }

    #info-box-carousel {
        order:2;
    }

    #info-box-image {
        border-top-left-radius:var(--box-content-radius);
    }

    #made-by-message {
        margin-bottom:100px; 
    }
}
